
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1027

Compile crashes on Ubuntu 20.04.1LTS (ARM64/RPi4B)

September 29, 2020 16:00 - Frank  Argberg

Status: Closed Start date: September 29, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.1   

Affects version:    

Description

Hi there!

First of all -- thanks for all the great work you've done with Audacious, it's by far my favorite player for Linux! :o)

As I was merrily compiling the latest GitHub version today (Sept 29.,2020), I noticed I had a problem while compiling the

"audacious-plugins" git repo.

Distro is Ubuntu 20.04.1LTS (64-bit), aarch64/ARM64 on a Raspebrry Pi 4B. All my junk should be up to date.

Ran the normal ./autogen.sh , ./configure (no flags), make -j4 .

What I got as an error was:

/usr/bin/ld: plugin.plugin.o: in function `GlobalHotkeys::GlobalHotkeys::GlobalHotkeys()':

/home/ubuntu/builds/audacious-plugins/src/qthotkey/plugin.cc:399: undefined reference to `GlobalHo

tkeys::GlobalHotkeys::info'

/usr/bin/ld: /home/ubuntu/builds/audacious-plugins/src/qthotkey/plugin.cc:399: undefined reference

 to `GlobalHotkeys::GlobalHotkeys::info'

collect2: error: ld returned 1 exit status

Failed to link qthotkey.so!

make[5]: *** [../../buildsys.mk:295: qthotkey.so] Error 1

make[4]: *** [../../buildsys.mk:125: all] Error 2

make[3]: *** [../buildsys.mk:135: qthotkey] Error 2

make[3]: *** Waiting for unfinished jobs....

Successfully compiled icecast-model.cc (plugin).

Successfully compiled ihr-widget.cc (plugin).

Successfully compiled ihr-model.cc (plugin).

Successfully linked streamtuner.so.

Leaving directory streamtuner.

make[2]: *** [../buildsys.mk:123: all] Error 2

make[1]: *** [buildsys.mk:135: src] Error 2

make: *** [buildsys.mk:123: all] Error 2

 

I tried re-running and figuring out different things (the meson build also failed, so...) and eventually I just thought I'd sudo make install

it as a prank. Lo and behold, everything seems to be working just fine!(?) I'm now running the 4.1-devel version according to

Audacity. Haven't noticed any stability issues yet, but then again I'm not using most of the plugins either, mostly just the VU's and so

forth.

Let me know if you want me to probe deeper into the issue or if you need any further information (i.e. ./configure 's output, etc.)

Thanks.

History

#1 - September 29, 2020 16:03 - Frank  Argberg

Additional notes:
- The version affected is the latest (Sept. 29, 2020 18:00EEST) GitHub repo clone = 4.1-devel, NOT 4.0.4, and specifically the audacious-plugins

repo.

- This happened upon compiling audacious-plugins from source. Had no problems compiling audacious itself from the other GitHub repo.

- Was still able to sudo make install afterwards, and as for now: "What, me worry?"

Cheers.

#2 - October 24, 2020 00:30 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Affects version deleted (4.0.4)

Should be fixed now:

https://github.com/audacious-media-player/audacious-plugins/commit/7f6176e8a1e607ccac672bcdb818f5e0fc482f67

#3 - December 21, 2020 20:27 - Thomas Lange

- Target version set to 4.1
